API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

ClipPlane Class

The ClipPlane class defines a clip plane which can be used together with a visible view.
Inheritance Hierarchy
SystemObject
  Tekla.Structures.Model.UIClipPlane

Namespace:  Tekla.Structures.Model.UI
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1
Syntax
[SerializableAttribute]
public class ClipPlane

The ClipPlane type exposes the following members.

Constructors
  NameDescription
Public methodClipPlane
Initializes a new instance of the ClipPlane class.
Top
Properties
  NameDescription
Public propertyIsBorderVisible
Gets or sets a value indicating whether the clip plane border is visible.
Public propertyIsScissorVisible
Gets or sets a value indicating whether the clip plane scissor icon is visible.
Public propertyLocation
The clip plane location in global coordinates (XYZ).
Public propertyUpVector
The clip plane up vector in global coordinates (XYZ).
Public propertyView
The view the clip plane belongs to.
Top
Methods
  NameDescription
Public methodDelete
Deletes the clip plane from the application view. The application view must be visible.
Public methodInsert
Creates a new clip plane to the application view. The application view must be visible.
Public methodModify
Modifies the clip plane position in the application view. The application view must be visible.
Top
Examples
The following example shows how three ClipPlanes are created to the first visible view:
using System;
using Tekla.Structures.Model.UI;
using Tekla.Structures.Geometry3d;

public class ClipPlaneExample
{
    public void ClipPlaneExample1()
    {
        ModelViewEnumerator ViewEnum = ViewHandler.GetVisibleViews();
        ViewEnum.MoveNext();
        View ActiveView = ViewEnum.Current;
        ClipPlane CPlane = new ClipPlane();
        CPlane.View = ActiveView;
        CPlane.UpVector = new Vector(1, 0, 0);
        CPlane.Location = new Point(20000, 10000, 5000);
        CPlane.Insert();

        CPlane.UpVector = new Vector(0, 1, 0);
        CPlane.Location = new Point(10000, 20000, 2000);
        CPlane.Insert();

        CPlane.UpVector = new Vector(0, 0, 1);
        CPlane.Location = new Point(20000, 20000, 6000);
        CPlane.Insert();
    }
}
See Also